CookieFarm
ServerOpenapi

Get full config

Returns current server and shared configuration.

GET
/config

Returns current server and shared configuration.

Authorization

CookieAuth
cookietoken<token>

Session JWT cookie returned by /api/v1/auth/login.

Response Body

OK

application/json
  1. response
configured?boolean
server?
shared?
Example Request
curl -X GET 'https://example.com/api/v1/config'
Example Response200
{  "configured": true,  "server": {    "end_time": "string",    "flag_ttl": 0,    "max_flag_batch_size": 0,    "protocol": "string",    "start_time": "string",    "submit_flag_checker_time": 0,    "team_token": "string",    "tick_time": 0,    "url_flag_checker": "string"  },  "shared": {    "configured": true,    "format_ip_teams": "string",    "my_team_id": 0,    "nop_team": 0,    "range_ip_teams": 0,    "regex_flag": "string",    "services": {      "property1": 0,      "property2": 0    },    "url_flag_ids": "string"  }}